with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegCurvetoCubicAbs_Object is

   type ISVGPathSegCurvetoCubicAbs_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_x
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x1
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x1
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y1
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y1
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x2
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x2
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y2
     (This : ISVGPathSegCurvetoCubicAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y2
     (This : ISVGPathSegCurvetoCubicAbs_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGPathSegCurvetoCubicAbs_Object;

